Sync Agents - List Linked Databases

列出連結至同步代理程序的資料庫。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/syncAgents/{syncAgentName}/linkedDatabases?api-version=2025-01-01

URI 參數

名稱 位於 必要 類型 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

serverName
path True

string

伺服器的名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

syncAgentName
path True

string

同步代理程序的名稱。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

SyncAgentLinkedDatabaseListResult

Azure 運作順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Get sync agent linked databases

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncagentcrud-65440/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187/linkedDatabases?api-version=2025-01-01

範例回覆

{
  "value": [
    {
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-Onebox/providers/Microsoft.Sql/servers/syncagentcrud-8475/syncAgents/syncagentcrud-3187/linkedDatabases/55555555-6666-7777-8888-999999999999",
      "properties": {
        "description": "",
        "databaseId": "55555555-6666-7777-8888-999999999999",
        "databaseName": "DummySqlServerDb",
        "databaseType": "SqlServerDatabase",
        "serverName": "DummySqlServer",
        "userName": "DummyUser"
      }
    }
  ]
}

定義

名稱 Description
createdByType

建立資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤附加資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

SyncAgentLinkedDatabase

一個 Azure SQL Database 同步代理程式連結資料庫。

SyncAgentLinkedDatabaseListResult

SyncAgentLinkedDatabase 清單操作的回應。

SyncMemberDbType

同步代理程式連結資料庫的類型。

systemData

與建立和上次修改資源相關的元數據。

createdByType

建立資源的身分識別類型。

值 Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

object

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

錯誤物件。

SyncAgentLinkedDatabase

一個 Azure SQL Database 同步代理程式連結資料庫。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

資源的名稱

properties.databaseId

string

同步代理程式連結資料庫的識別碼。

properties.databaseName

string

同步代理程式連結資料庫的資料庫名稱。

properties.databaseType

SyncMemberDbType

同步代理程式連結資料庫的類型。

properties.description

string

同步代理程式連結資料庫的描述。

properties.serverName

string

同步代理程式連結資料庫的伺服器名稱。

properties.userName

string

同步代理程式連結資料庫的用戶名稱。

systemData

systemData

Azure Resource Manager 包含 createdBy 與 modifiedBy 資訊的元資料。

type

string

資源的類型。 例如:「Microsoft。運算/虛擬機器」或「Microsoft」。儲存/儲存帳號」

SyncAgentLinkedDatabaseListResult

SyncAgentLinkedDatabase 清單操作的回應。

名稱 類型 Description
nextLink

string (uri)

項目下一頁的連結

value

SyncAgentLinkedDatabase[]

本頁的 SyncAgentLinkedDatabase 項目

SyncMemberDbType

同步代理程式連結資料庫的類型。

值 Description
AzureSqlDatabase

AzureSqlDatabase

SqlServerDatabase

SqlServerDatabase

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

資源上次修改的時間戳記 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。